/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
*{
    box-sizing: border-box;
}
/*Fine Resette*/
/*Regole è colori ed font*/
:root{
    --colore-primario: #B1302C;
    --sfondo-scuro: #1a1a1a;
    --sfondo-carte:#373737;
    --bianco-testo: #ffffff;
    --grigio-testo: #cccccc;
    --ombra:rgba(0,0,0,0.3);
    --velo:linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.7));
}
body{
    font-family:'Gelasio',serif;
    line-height: 1.6;/* distanza del testo*/
    background-color: var(--sfondo-scuro);
    color: #333; 
}
a{
   text-decoration: none;
   color: inherit; 
}
h1, h2, h3, p{
    color: #ffffff;
}
h1{
    font-size: 34px;
}
h2{
    font-size: 30px;
}
h3{
    font-size: 24px;
}
h4{
    font-size: 20px;
}
/*Regole è colore ed font fine*/

.logo img{
max-width: 50px;
border-radius: 10px;
}
/*Qui si tiene fermo il contenitore della testa(header)*/
header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: transparent;
    transition: background-color 0.4s ease; 
    
}
/*Da aggiungere queta classe header al js*/
header.scrolled{
    background-color:var(--sfondo-carte) ;
    box-shadow: 0 2px 10px var(--ombra);
}
/*fine header*/

.testa-del-sito{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    width: 100%;
}
/*hamburger menu*/
.hamburger{
   position: relative;
   z-index: 100; 
   width: 45px;
   height: 40px;
   display: flex;
   flex-direction: column;
   justify-content: space-around;
   align-items: center;
   cursor: pointer; 
   background-color: #333;
   padding: 8px;
   border-radius: 5px;
   max-width: 100%;
}
.hamburger span{
    display: block;
    width: 100%;
    height: 3px;
    background-color: var(--colore-primario);
    border-radius: 2px;
}
/*hamburger che diventa una x*/
.hamburger span{
    transition: all 0.3s ease-in-out;
}
.hamburger.open span:nth-child(1){
  transform: translateY(7.5px) rotate(45deg);  
}
.hamburger.open span:nth-child(2){
   opacity: 0;
}
.hamburger.open span:nth-child(3){
    transform: translateY(-9px) rotate(-45deg);
}

/*Qui compare il nav con il js*/
/*Qui viene fatto scomparire la barra nav */
.nav-bar{
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height:100vh;
    background-color: var(--sfondo-scuro);
    z-index: 99;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}
.nav-bar.active{
    display: flex;
    justify-content: flex-start;
    padding-top: 100px;
    padding-left: 40px;
    top: 0;
    scrollbar-width: none;
}
.nav-bar > ul{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 30px; 
}
.nav-bar li{
    width: 100%;
    text-align: left;
}
.nav-bar ul li a:hover{
display: block;
color: var(--colore-primario);
transition: 0.3s;
transform: scale(1.1);
}
.nav-bar li a{
   color: var(--bianco-testo);
   font-size: 32px;
   font-weight: bold;
   text-transform: uppercase;
}
/*sotto menu*/
.submenu{ 
   max-height: 0;
   overflow: hidden;
   transition: max-height 0.4s ease;
   background-color:rgba(0,0,0,0.1) ;
   width: 100%;
   border-radius: 5px;
}
/* Quando aggiungiamo la classe .open tramite JS, l'altezza aumenta */
.accordion-item.open .submenu{
   max-height: 500px;/* Valore alto a sufficienza per mostrare i link */
   
}
/* Stilizziamo i link del sottomenu per farli sembrare gerarchicamente inferiori */
.submenu li a{
   font-size: 20px !important;
   color: var(--grigio-testo);
   padding: 10px 40px;
   display: block;
   text-transform: capitalize !important;
   margin-left: 10px;
   
}
/*con animazione fluida di 0.3s*/
.accordion-link::after{
   content:' ▾';
   font-size: 18px;
   color: var(--colore-primario);
   margin-left: 10px;
   display: inline-block;
   transition: transform 0.3s ease;
}
/*Quando open viene richiamato la freccia fa una animazione*/
.accordion-item.open .accordion-link::after{
    transform: rotate(180deg);
}
/*header fine*/
/*hero inizio*/
/*contenitore hero*/
.hero img{
 max-width: 100%;
 height: 350px;
 object-fit: cover;/* Evita che l'immagine si schiacci */
 margin-bottom: 30px;
}
/*contenuto base*/
.cn-base{
    display: inline-block;
    border: 1px solid;
    border-color: var(--colore-primario);
    border-radius: 20px;
    margin: auto;
}
.cn-base h2{
    padding: 0 10px;
}
/*fine contenuto base*/
/*wrapper-animazione*/
/* Il wrapper impedisce di vedere il testo quando è "fuori" a sinistra */
.overflow-wrapper{
    overflow: visible;
    display: block;
}
.animazione-benvenuto{
    display: inline-block;
    transform: translateX(-100%);
    opacity: 0;


}
.animazione-benvenuto.attiva{
   /* Nome animazione | durata | tipo movimento | resta fermo alla fine */
    animation: scivolaVersoDestra 0.6s ease-out forwards ;
    animation-delay: 0.5s;
}
/* Definizione del movimento */
@keyframes scivolaVersoDestra{
    0%{
        transform: translateX(-100%);
        opacity: 0;
    }
    60%{
        opacity: 1; /* Appare prima di finire il movimento */
    }
    100%{
        transform: translateX(0); /* Arriva alla posizione originale */
        opacity: 1;
    }
}
/*fine wrapper-animazione*/
/*contenuto delle scritte*/
.scritta{ 
  max-width: 90%;
  margin: 0 auto;
  padding: 15px;
  border-radius: 10px;
  background-color: var(--sfondo-carte);
  
}
.scritta h1{
  margin-bottom: 20px;
  line-height: 1.2;
     
}
.scritta p{
  text-align: justify;  
}
/*fine contenuto delle scritte*/
/*Fine contenitore hero*/
/*per unirti a noi*/
.contenitore-pc{
    margin: 30px auto;
}
.cn-base2{
    display: inline-block;
    border: 1px solid;
    border-color: var(--colore-primario);
    border-radius: 20px;
    margin: 0 30px ;
}
.cn-base2 h3{
    padding: 0 10px;
}
.titolo-spiegazioni{
    margin: 0 0 30px 30px;
}
/*fine per unirti a noi*/
/*carte social*/
.carta{
 display: flex;
 flex-direction: column;
 align-items: center;
 gap: 30px;
 
}
.carta div{
 background-color: var(--sfondo-carte);
 max-width: 90%;
 text-align: center;
 border-radius: 15px;
 width: 350px;
 height: 430px;
}
/*Carta 1*/
@keyframes animazioneIcona{
 0%  {transform: rotate(0deg);}
 25% {transform: rotate(15deg);} 
 50% {transform: rotate(0deg);} 
 75% {transform: rotate(-15deg);} 
 100%{transform: rotate(0deg);}    
}
.carta1{
   display: flex;
   flex-direction: column;
   align-items: center;
   padding: 15px;
}
.carta1 div{
    background-color: #5865F2;
    width: 150px;
    height: 150px;
    padding: 25px;
    display: flex;
    justify-content: center;
    align-content: center;
}
.carta1 div img{
    animation: animazioneIcona 2s infinite linear;
}
.carta1 h3{
    margin-top: 10px;
    font-weight: bold;
}
.carta1 p{
    margin: 5px 10px;
    text-align: justify;
}
.carta1 a{
    margin-top: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--colore-primario);
    width: 180px;
    height: 60px;
    border: solid 1px;
    border-color: var(--sfondo-scuro);
    border-radius: 50px;
    padding: 5px;
    font-weight: bold;
    font-size: 24px;
    color: #ffffff;
    transition: background 0.3s;
}
.carta1 a:hover{
    background-color: #5865F2;
    transform: scale(1.05);
}
/*fine carta 1*/
/*carta 2*/
.carta2{
   display: flex;
   flex-direction: column;
   align-items: center;
   padding: 15px;
}
.carta2 div{
    background-color: #246396;
    width: 150px;
    height: 150px;
    padding: 10px 25px 35px 25px;
    display: flex;
    justify-content: center;
    align-content: center;
}
.carta2 div img{
    animation: animazioneIcona 2s infinite linear;
}
.carta2 h3{
    margin-top: 10px;
    font-weight: bold;
}
.carta2 p{
    margin: 5px 10px 0px 10px;
    text-align: justify;
}
.carta2 a{
    
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--colore-primario);
    width: 180px;
    height: 60px;
    border: solid 1px;
    border-color: var(--sfondo-scuro);
    border-radius: 50px;
    padding: 5px;
    font-weight: bold;
    font-size: 24px;
    color: #ffffff;
    transition: background 0.3s;
}
.carta2 a:hover{
    background-color: #246396;
    transform: scale(1.05);
}
/*fine carta 2*/
/*carta 3*/
.carta3{
   display: flex;
   flex-direction: column;
   align-items: center;
   padding: 15px;
}
.carta3 div{
    background-color: #000000;
    width: 150px;
    height: 150px;
    padding: 40px;
    display: flex;
    justify-content: center;
    align-content: center;
}
.carta3 div img{
    animation: animazioneIcona 2s infinite linear;
}
.carta3 h3{
    margin-top: 10px;
    font-weight: bold;
}
.carta3 p{
    margin: 5px 10px;
    text-align: justify;
}
.carta3 a{
    margin-top: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--colore-primario);
    width: 180px;
    height: 60px;
    border: solid 1px;
    border-color: var(--sfondo-scuro);
    border-radius: 50px;
    padding: 5px;
    font-weight: bold;
    font-size: 24px;
    color: #ffffff;
    transition: background 0.3s;
}
.carta3 a:hover{
    background-color: #000000;
    transform: scale(1.05);
}
/*fine carta 3*/
/*carte social fine*/
/*eeeee*/

/*fine*/
/*trofei*/
.cn-trofei,.cn-partnerschip{
  
    max-width: 100%;
    /*background-color: var(--grigio-testo);*/
    margin: 0 auto;
    overflow: hidden;
    white-space: nowrap;
    
}
.scorrimento{
  display: flex;
  width: max-content;
  gap: 30px;
  animation: trofeoAnimazioneSinistra 25s linear infinite;
  
}
.scorrimento img{
  width: 250px;
  height: 250px;
  object-fit: contain;
  flex-shrink: 0;
}
@keyframes trofeoAnimazioneSinistra {
    0%{
        transform: translateX(-50%);
        
    }
    100%{
        transform: translateX(0);
    }
}
.cn-trofei:hover .scorrimento{
    animation-play-state: paused;
}
/*fine trofei*/
/*carosel*/
/*contenitore carosel*/
.cn-carosel{
    /*background-color: #5865F2;*/
    position: relative;
    width: 100%;
    max-width: 1000px;
    margin: auto;
}

.carosello-snap{
   display: flex;
   overflow-x: auto;
   scroll-snap-type: x mandatory;
   scroll-behavior: smooth;
   gap: 15px;
   scrollbar-width: none;
}

.carosello-snap::-webkit-scrollbar{display: none;}

.slide{
    flex: 0 0 100%;
    scroll-snap-align: center;
}

.slide img {
    width: 100%;
    height: 350px;
    object-fit: cover;
    border-radius: 15px;
}
/*stole bottoni*/
.btn-carosello-indietro, .btn-carosello-avanti{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 10;
    background-color:rgba(0,0,0,0.5);
    color: #ffffff;
    border: none;
    padding: 15px;
    cursor: pointer;
    border-radius: 50%;
    display: none;
}
.btn-carosello-indietro{left: 10px;}
.btn-carosello-avanti{right: 10px;}
/*punto*/
.punti-container{
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 10px;
    margin-bottom: 30px;
}
/*si genera con il js*/
.punto{
    width: 12px;
    height: 12px;
    background-color: #ccc;
    border-radius: 50%;
    cursor: pointer;
    transition: background 0.3s ease;
}
.punto.attivo{
    background: var(--colore-primario, #333);
    transform: scale(1.2);
}

/*fine carosel*/
/*partnerschip*/
.cn-partnerschip img{
    width: 250px;
    height: 250px;
    object-fit: contain;
    flex-shrink: 0;
}
.cn-partnerschip:hover .scorrimento{
    animation-play-state: paused;
}
/*fine partnerschip*/
/*piede*/
.piede{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 400px;
    background-color: var(--sfondo-carte);
}
.logo-piede {
    width: 80px;
    border-radius: 10px;
    margin-top: 20px;
}
.logo-piede a{
    display: inline-block;
    transition: transform 0.3s ease, opacity 0.3s ease;
}
.logo-piede a:hover{
    transform: translateY(-5 px);
    opacity: 0.8;
}
/*social*/
.piede-info-dx{
    display: flex;
    flex-direction: column;
    align-items: center;
}
.cn-social {
    margin-top: 20px;
    display: flex;
    gap: 20px;   
}
.cn-social a {
    display: inline-block;
    transition: transform 0.3s ease, opacity 0.3s ease;
}
.cn-social img {
    width: 40px;
    height: 40px;
    display: block;
}
.cn-social a:hover {
    transform: translateY( -5px);
    opacity: 0.8;

}
/*fine social*/
/*link-contatti*/
.link-contatti{
    margin-top: 30px;
    display: flex;
    flex-direction: row;
    gap: 60px;
}
.link-contatti div{
    display: flex;
    flex-direction: column;

}
.link-contatti a,h4{
    color: #ffffff;
    line-height: 3;  
}
.link-contatti a{
    text-transform: uppercase;
    font-size: 12px;
}
/*fine link-contatti*/
/*fine piede*/
/*copyright*/
.copyright{
    display: flex;
    justify-content: center;
    width: 100%;
    height: 40px;
    background-color: var(--sfondo-carte);
    padding: 0 15px;
    gap: 40px;
}

.copyright p a{
   
    font-size: 8px;

}
/*fine copyright*/
@media(min-width: 768px){
 .nav-bar{
   width: 400px;
   left: -400px;
   border-right: 2px solid var(--colore-primario);

 }   
.nav-bar.active{
    left: 0;
    justify-content: flex-start;
    padding-top: 120px;
    scrollbar-width: none;
}
 .nav-bar > ul{
    align-items: start;
    
 }
.hero img {
    width: 100%;
    display: block;
    object-fit: cover;
}
.scritta{
  margin: 0px auto;
  padding: 30px;
}
.contenitore-pc{    
margin: 50px auto;
}
.carta{
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}
.btn-carosello-indietro, .btn-carosello-avanti{
    display: block;
}
.slide img {
    height: 500px;
}
.piede{
   height: auto;
   padding-bottom: 40px;
}
.link-contatti{
    gap: 120px;
}
.link-contatti a {
    font-size: 16px;
}
}
@media(min-width: 1024px){

    .cn-globale{
        max-width: 1400px;
        margin-left: auto;
        margin-right: auto;
        
    }
    .testa-del-sito{
        /*display: flex;
        justify-content: space-between;
        
        padding: 10px 40px;
        flex-wrap: nowrap;*/
        display: grid;
        grid-template-columns: 1fr auto 1fr;
        align-items: center;
        margin: 0 auto;
    }
    .hamburger{
        display: none;
    }
    .nav-bar{
        display: block;
        position: static;
        width: auto;
        height: auto;
        visibility: visible;
        background-color: transparent;
        border-right: none;
        opacity: 1;
        overflow: visible;
        justify-self: center;
        background-color: var(--sfondo-carte);
        padding: 0 20px;
        border-radius: 10px;
    }
    .nav-bar > ul{
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 30px;
        padding: 0;
        
    }
    .nav-bar li{
        width: auto;
    }
    .nav-bar li a {
        font-size: 16px;
        display: flex;
        align-items: center;
        height: 100%;
        padding: 10px 0;
        white-space: nowrap;
    }
    .accordion-item{
       position: relative; 
    }
    .submenu{
        position: absolute;
        top:100%;
        left: 0;
        width: 300px;
        max-height: 0;
        opacity: 0;
        overflow:hidden ;
        transition: all 0.3s ease;
        z-index: 1000;
        background-color: var(--sfondo-carte);
    }
    .accordion-item:hover .submenu{
        max-height: 500px;
        opacity: 1;
        padding: 10px 0;
    }
    .submenu li a {
        font-size: 14px;
        padding: 10px 20px;
        text-transform: capitalize;
    }
    .accordion-link{
        display: flex;
        flex-direction: row;
        
    }
    .accordion-link::after{
        content:' ▾' ;
        display: inline-flex;
        margin-left: 5px;
        line-height: 1;
        font-size: 14px;
    }
    .hero img {
        width: 100%;
        height: 900px;
        object-fit: cover;
        
        /*margin-left: calc(-50vw + 50%);*/
    }
    .scritta{
       padding: 50px;  
    }
    .contenitore-pc{
       display: flex;
       flex-direction: column;
       margin: 50px 40px;
    }
    .cn-base2{
        width: fit-content;
        
    }
    .carta{
        flex-direction: row;
        gap: 100px;
    }
    .carta3{
        margin-bottom: 0;
    }
    /*piede del sito*/
    .piede{
        padding: 30px 0 20px 0 ;
        flex-direction: row;
        align-items: flex-start;

    }
    .piede-wrap{
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: flex-start;
        max-width:1400px;
        margin: 0 auto;
        padding: 0 40px;
    }
    .piede-logo-box{
        position: relative;
        top: 0;
        left: 50px;
    }
    .logo-piede{
        width: 120px;
    }
    .piede-info-dx{
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }
    .link-contatti{
        gap: 350px;
    }
   
}